#include "__welcome.h"
#include "__setupadmin.h"

namespace http {

   int __welcome::page(HTTPParameters &p) {

      p.data << "<div class=\"adminheader\">"
	        "Session Id: " << p.httpSession.getSessionId() << " <br>User: *ADMIN"
	        "</div><br>";

      button1Click *click = new button1Click();
      coreutils::ZString button1_Click(p.actionList.addAction(click));

      p.data << "<div id=\"admin\" class=\"window\">"
                   "<form name='admin'>"
                   "<p>You have successfully set up a JETServer."
                   "<br>The configuration has not yet been established for this web site.</p>"
                   "<input type=\"button\" onmousedown=\"process('" << button1_Click << "', 'admin', 'admin'); return true;\" name=\"button1\" value=\"Configure\">"
                   "</form></div><br>";

      p.data << "<div id=\"app1\"></div><br>";

      p.httpRequest.response.addHeader(coreutils::IMFHeader("Content-Type", "text/html"));

      return 1;
   }

   bool __welcome::button1Click::action(HTTPParameters &p) {
      __setupadmin setupadmin(p);
      return true;
   }

}
